<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('master_dealers', function (Blueprint $table) {
            $table->id();
            $table->string('master_dealer_id')->unique();
            $table->string('company_name');
            $table->string('contact_person');
            $table->string('contact_number');
            $table->string('email');
            $table->string('state');
            $table->string('password');
            $table->string('status');
            $table->integer('total_license')->default(0);
            $table->integer('used_license')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('master_dealers');
    }
};
